Subject: bug#39799: 28.0.50; Most emoji sequences don’t render correctly

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Sep 2021 16:06:53 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Mike FABIAN <[email-masked]>,  [email-masked],  [email-masked]
> Date: Tue, 21 Sep 2021 14:50:22 +0200
> 
>     >> Should that also fix the skin tones?
> 
>     Eli> It should, and I thought HarfBuzz on Cairo already supported that?
> 
> It does, but with 'Noto Color Emoji' it doesnʼt work for all
> codepoints.
> 
>     Eli> Can you try this with hb-view and see if HarfBuzz produces a single
>     Eli> glyph/grapheme from this sequence?
> 
> For reference, since the documentation of hb-view is sadly lacking:
> 
> hb-view  --output-file=foo.svg --font-size=14 \
> /usr/share/fonts/truetype/noto/NotoColorEmoji.ttf  -u 1f469
> 
> produces a glyph with no skin tone. And
> 
> hb-view  --output-file=foo.svg --font-size=14 \
> /usr/share/fonts/truetype/noto/NotoColorEmoji.ttf  -u 1f469,1f3fd
> 
> Produces one with a medium tone. The skin tones are working for other
> code points, so I donʼt know what's causing this particular problem.

If it works with hb-view, but not in Emacs, it's our problem.  If it
doesn't work in hb-view as well, perhaps we should ask the HarfBuzz
developers what they have to say about this.